Index: generate_membench.py
===================================================================
--- generate_membench.py	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ generate_membench.py	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -215,7 +215,7 @@
 """ + _CONFIG_DEFAULT),
     _Test(
-        "dev/clock",
-        "driver",
-        ["/rtems/req/mem-basic"],
+        "bsp",
+        "clock",
+        ["../if/group-clock", "/rtems/req/mem-basic"],
         """a basic application configuration with the clock driver enabled
 (${/acfg/if/appl-needs-clock-driver:/name})""",
@@ -296,5 +296,5 @@
         "rtems/fatal",
         "fatal",
-        _LINKS_BASIC,
+        ["../../req/group"] + _LINKS_BASIC,
         """a basic application configuration with a call to
 ${../if/fatal:/name}""",
@@ -413,5 +413,5 @@
         "rtems/scheduler",
         "add-cpu",
-        ["../../req/mem-smp-1"],
+        ["../../req/group", "../../req/mem-smp-1"],
         """a basic application configuration with a
 call to ${../if/add-processor:/name}""",
@@ -422,5 +422,5 @@
         "rtems/scheduler",
         "rm-cpu",
-        ["../../req/mem-smp-1"],
+        ["../../req/group", "../../req/mem-smp-1"],
         """a basic application configuration with a
 call to ${../if/remove-processor:/name}""",
@@ -730,4 +730,9 @@
 def _links(links: List[str]) -> str:
     text = []  # type: List[str]
+    for link in links:
+        if "group" in link:
+            break
+    else:
+        links.insert(0, "group")
     for link in links:
         text.append(f"""- role: requirement-refinement
Index: spec/bsp/if/group-clock.yml
===================================================================
--- spec/bsp/if/group-clock.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
+++ spec/bsp/if/group-clock.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -0,0 +1,16 @@
+SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
+copyrights:
+- Copyright (C) 2021 embedded brains GmbH (http://www.embedded-brains.de)
+enabled-by: true
+identifier: bsp_clock
+links:
+- role: interface-ingroup
+  uid: group-shared
+non-functional-type: design-group
+rationale: null
+references: []
+requirement-type: non-functional
+text: |
+  The shared ${/glossary/bsp:/term} interrupt support shall be a component
+  containing functions used to implement a ${/glossary/clock-driver:/term}.
+type: requirement
Index: spec/bsp/req/mem-clock.yml
===================================================================
--- spec/bsp/req/mem-clock.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
+++ spec/bsp/req/mem-clock.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -0,0 +1,18 @@
+SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
+copyrights:
+- Copyright (C) 2021 embedded brains GmbH (http://www.embedded-brains.de
+enabled-by: true
+links:
+- role: requirement-refinement
+  uid: ../if/group-clock
+- role: requirement-refinement
+  uid: /rtems/req/mem-basic
+non-functional-type: quality
+rationale: null
+references: []
+requirement-type: non-functional
+text: |
+  The system shall provide a benchmark program to show the static memory usage
+  of a basic application configuration with the clock driver enabled
+  (${/acfg/if/appl-needs-clock-driver:/name}).
+type: requirement
Index: spec/bsp/val/mem-clock.yml
===================================================================
--- spec/bsp/val/mem-clock.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
+++ spec/bsp/val/mem-clock.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -0,0 +1,54 @@
+SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
+copyrights:
+- Copyright (C) 2021 embedded brains GmbH (http://www.embedded-brains.de)
+enabled-by: true
+links:
+- role: validation
+  uid: ../req/mem-clock
+test-brief: |
+  This static memory usage benchmark program facilitates a basic application
+  configuration with the clock driver enabled
+  (${/acfg/if/appl-needs-clock-driver:/name}).
+test-code: |
+  static void Init( rtems_task_argument arg )
+  {
+    (void) arg;
+
+    /* Nothing to do */
+  }
+
+  #define TASK_ATTRIBUTES RTEMS_DEFAULT_ATTRIBUTES
+
+  #define TASK_STORAGE_SIZE \
+    RTEMS_TASK_STORAGE_SIZE( \
+      RTEMS_MINIMUM_STACK_SIZE, \
+      TASK_ATTRIBUTES   )
+
+  #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
+
+  #define CONFIGURE_MAXIMUM_FILE_DESCRIPTORS 0
+
+  #define CONFIGURE_DISABLE_NEWLIB_REENTRANCY
+
+  #define CONFIGURE_APPLICATION_DISABLE_FILESYSTEM
+
+  #define CONFIGURE_MAXIMUM_TASKS 1
+
+  #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+  #define CONFIGURE_INIT_TASK_ATTRIBUTES TASK_ATTRIBUTES
+
+  #define CONFIGURE_INIT_TASK_INITIAL_MODES RTEMS_DEFAULT_MODES
+
+  #define CONFIGURE_INIT_TASK_CONSTRUCT_STORAGE_SIZE TASK_STORAGE_SIZE
+
+  #define CONFIGURE_INIT
+
+  #include <rtems/confdefs.h>
+test-description: null
+test-includes:
+- rtems.h
+test-local-includes: []
+test-suite-name: MemClock
+test-target: testsuites/membench/mem-bsp-clock.c
+type: test-suite
Index: ec/dev/clock/req/mem-driver.yml
===================================================================
--- spec/dev/clock/req/mem-driver.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ 	(revision )
@@ -1,16 +1,0 @@
-SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
-copyrights:
-- Copyright (C) 2021 embedded brains GmbH (http://www.embedded-brains.de
-enabled-by: true
-links:
-- role: requirement-refinement
-  uid: /rtems/req/mem-basic
-non-functional-type: quality
-rationale: null
-references: []
-requirement-type: non-functional
-text: |
-  The system shall provide a benchmark program to show the static memory usage
-  of a basic application configuration with the clock driver enabled
-  (${/acfg/if/appl-needs-clock-driver:/name}).
-type: requirement
Index: ec/dev/clock/val/mem-driver.yml
===================================================================
--- spec/dev/clock/val/mem-driver.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ 	(revision )
@@ -1,54 +1,0 @@
-SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
-copyrights:
-- Copyright (C) 2021 embedded brains GmbH (http://www.embedded-brains.de)
-enabled-by: true
-links:
-- role: validation
-  uid: ../req/mem-driver
-test-brief: |
-  This static memory usage benchmark program facilitates a basic application
-  configuration with the clock driver enabled
-  (${/acfg/if/appl-needs-clock-driver:/name}).
-test-code: |
-  static void Init( rtems_task_argument arg )
-  {
-    (void) arg;
-
-    /* Nothing to do */
-  }
-
-  #define TASK_ATTRIBUTES RTEMS_DEFAULT_ATTRIBUTES
-
-  #define TASK_STORAGE_SIZE \
-    RTEMS_TASK_STORAGE_SIZE( \
-      RTEMS_MINIMUM_STACK_SIZE, \
-      TASK_ATTRIBUTES   )
-
-  #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-
-  #define CONFIGURE_MAXIMUM_FILE_DESCRIPTORS 0
-
-  #define CONFIGURE_DISABLE_NEWLIB_REENTRANCY
-
-  #define CONFIGURE_APPLICATION_DISABLE_FILESYSTEM
-
-  #define CONFIGURE_MAXIMUM_TASKS 1
-
-  #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-
-  #define CONFIGURE_INIT_TASK_ATTRIBUTES TASK_ATTRIBUTES
-
-  #define CONFIGURE_INIT_TASK_INITIAL_MODES RTEMS_DEFAULT_MODES
-
-  #define CONFIGURE_INIT_TASK_CONSTRUCT_STORAGE_SIZE TASK_STORAGE_SIZE
-
-  #define CONFIGURE_INIT
-
-  #include <rtems/confdefs.h>
-test-description: null
-test-includes:
-- rtems.h
-test-local-includes: []
-test-suite-name: MemDriver
-test-target: testsuites/membench/mem-clock-driver.c
-type: test-suite
Index: spec/rtems/barrier/req/mem-wait-rel-del.yml
===================================================================
--- spec/rtems/barrier/req/mem-wait-rel-del.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/barrier/req/mem-wait-rel-del.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/barrier/req/mem-wait-rel.yml
===================================================================
--- spec/rtems/barrier/req/mem-wait-rel.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/barrier/req/mem-wait-rel.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/clock/req/mem-get-uptime.yml
===================================================================
--- spec/rtems/clock/req/mem-get-uptime.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/clock/req/mem-get-uptime.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/clock/req/mem-set-get-tod.yml
===================================================================
--- spec/rtems/clock/req/mem-set-get-tod.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/clock/req/mem-set-get-tod.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/clock/req/mem-set.yml
===================================================================
--- spec/rtems/clock/req/mem-set.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/clock/req/mem-set.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/event/req/mem-snd-rcv.yml
===================================================================
--- spec/rtems/event/req/mem-snd-rcv.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/event/req/mem-snd-rcv.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/fatal/req/mem-fatal.yml
===================================================================
--- spec/rtems/fatal/req/mem-fatal.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/fatal/req/mem-fatal.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: ../../req/group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/message/req/mem-bcst-rcv.yml
===================================================================
--- spec/rtems/message/req/mem-bcst-rcv.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/message/req/mem-bcst-rcv.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/message/req/mem-snd-rcv-del.yml
===================================================================
--- spec/rtems/message/req/mem-snd-rcv-del.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/message/req/mem-snd-rcv-del.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/message/req/mem-snd-rcv.yml
===================================================================
--- spec/rtems/message/req/mem-snd-rcv.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/message/req/mem-snd-rcv.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/message/req/mem-ugt-rcv.yml
===================================================================
--- spec/rtems/message/req/mem-ugt-rcv.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/message/req/mem-ugt-rcv.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/part/req/mem-get-ret-del.yml
===================================================================
--- spec/rtems/part/req/mem-get-ret-del.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/part/req/mem-get-ret-del.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/part/req/mem-get-ret.yml
===================================================================
--- spec/rtems/part/req/mem-get-ret.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/part/req/mem-get-ret.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/ratemon/req/mem-period-del.yml
===================================================================
--- spec/rtems/ratemon/req/mem-period-del.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/ratemon/req/mem-period-del.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/ratemon/req/mem-period.yml
===================================================================
--- spec/rtems/ratemon/req/mem-period.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/ratemon/req/mem-period.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/req/mem-basic.yml
===================================================================
--- spec/rtems/req/mem-basic.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/req/mem-basic.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: /req/mem-benchmark
Index: spec/rtems/req/mem-smp-1.yml
===================================================================
--- spec/rtems/req/mem-smp-1.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/req/mem-smp-1.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: mem-basic
Index: spec/rtems/req/mem-smp-global-2.yml
===================================================================
--- spec/rtems/req/mem-smp-global-2.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/req/mem-smp-global-2.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: mem-smp-1
Index: spec/rtems/req/mem-smp-global-4.yml
===================================================================
--- spec/rtems/req/mem-smp-global-4.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/req/mem-smp-global-4.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: mem-smp-1
Index: spec/rtems/req/mem-smp-part-2.yml
===================================================================
--- spec/rtems/req/mem-smp-part-2.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/req/mem-smp-part-2.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: mem-smp-1
Index: spec/rtems/req/mem-smp-part-4.yml
===================================================================
--- spec/rtems/req/mem-smp-part-4.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/req/mem-smp-part-4.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: mem-smp-1
Index: spec/rtems/scheduler/req/mem-add-cpu.yml
===================================================================
--- spec/rtems/scheduler/req/mem-add-cpu.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/scheduler/req/mem-add-cpu.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: ../../req/group
 - role: requirement-refinement
   uid: ../../req/mem-smp-1
Index: spec/rtems/scheduler/req/mem-rm-cpu.yml
===================================================================
--- spec/rtems/scheduler/req/mem-rm-cpu.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/scheduler/req/mem-rm-cpu.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: ../../req/group
 - role: requirement-refinement
   uid: ../../req/mem-smp-1
Index: spec/rtems/sem/req/mem-obt-rel-del.yml
===================================================================
--- spec/rtems/sem/req/mem-obt-rel-del.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/sem/req/mem-obt-rel-del.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/sem/req/mem-obt-rel.yml
===================================================================
--- spec/rtems/sem/req/mem-obt-rel.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/sem/req/mem-obt-rel.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/signal/req/mem-catch-snd.yml
===================================================================
--- spec/rtems/signal/req/mem-catch-snd.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/signal/req/mem-catch-snd.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-delete.yml
===================================================================
--- spec/rtems/task/req/mem-delete.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-delete.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-exit.yml
===================================================================
--- spec/rtems/task/req/mem-exit.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-exit.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-get-affinity.yml
===================================================================
--- spec/rtems/task/req/mem-get-affinity.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-get-affinity.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-get-priority.yml
===================================================================
--- spec/rtems/task/req/mem-get-priority.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-get-priority.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-get-scheduler.yml
===================================================================
--- spec/rtems/task/req/mem-get-scheduler.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-get-scheduler.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-mode.yml
===================================================================
--- spec/rtems/task/req/mem-mode.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-mode.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-restart.yml
===================================================================
--- spec/rtems/task/req/mem-restart.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-restart.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-set-affinity.yml
===================================================================
--- spec/rtems/task/req/mem-set-affinity.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-set-affinity.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-set-priority.yml
===================================================================
--- spec/rtems/task/req/mem-set-priority.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-set-priority.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-set-scheduler.yml
===================================================================
--- spec/rtems/task/req/mem-set-scheduler.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-set-scheduler.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-sus-res.yml
===================================================================
--- spec/rtems/task/req/mem-sus-res.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-sus-res.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-wake-after.yml
===================================================================
--- spec/rtems/task/req/mem-wake-after.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-wake-after.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/task/req/mem-wake-when.yml
===================================================================
--- spec/rtems/task/req/mem-wake-when.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/task/req/mem-wake-when.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-after.yml
===================================================================
--- spec/rtems/timer/req/mem-after.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-after.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-cancel.yml
===================================================================
--- spec/rtems/timer/req/mem-cancel.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-cancel.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-delete.yml
===================================================================
--- spec/rtems/timer/req/mem-delete.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-delete.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-reset.yml
===================================================================
--- spec/rtems/timer/req/mem-reset.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-reset.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-srv-after.yml
===================================================================
--- spec/rtems/timer/req/mem-srv-after.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-srv-after.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-srv-init.yml
===================================================================
--- spec/rtems/timer/req/mem-srv-init.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-srv-init.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-srv-when.yml
===================================================================
--- spec/rtems/timer/req/mem-srv-when.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-srv-when.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/timer/req/mem-when.yml
===================================================================
--- spec/rtems/timer/req/mem-when.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/timer/req/mem-when.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/userext/req/mem-create.yml
===================================================================
--- spec/rtems/userext/req/mem-create.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/userext/req/mem-create.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic
Index: spec/rtems/userext/req/mem-delete.yml
===================================================================
--- spec/rtems/userext/req/mem-delete.yml	(revision dea2ef4fb77e1469017ef21531363ca2c1805b13)
+++ spec/rtems/userext/req/mem-delete.yml	(revision 49633d36e432914790119864fa289ba6e7172a45)
@@ -4,4 +4,6 @@
 enabled-by: true
 links:
+- role: requirement-refinement
+  uid: group
 - role: requirement-refinement
   uid: ../../req/mem-basic