Index: cpukit/rtems/Makefile.am
===================================================================
--- cpukit/rtems/Makefile.am	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ cpukit/rtems/Makefile.am	(revision 58089ff3ad3bdeab4c260d00474a8ba6b70294c9)
@@ -40,5 +40,4 @@
 include_rtems_rtems_HEADERS += include/rtems/rtems/region.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/regionimpl.h
-include_rtems_rtems_HEADERS += include/rtems/rtems/rtemsapi.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/sem.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/semimpl.h
Index: ukit/rtems/include/rtems/rtems/rtemsapi.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/rtemsapi.h	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/**
- * @file rtems/rtems/rtemsapi.h
- *
- * @defgroup ClassicAPI RTEMS API Support
- *
- * @ingroup ClassicRTEMS
- * @brief RTEMS API Support
- *
- * This routine initializes the RTEMS API by invoking the initialization
- * routine for each RTEMS manager with the appropriate parameters
- * from the configuration_table.
- */
-
-/* COPYRIGHT (c) 1989-2008.
- * On-Line Applications Research Corporation (OAR).
- *
- * The license and distribution terms for this file may be
- * found in the file LICENSE in this distribution or at
- * http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef _RTEMS_RTEMS_RTEMSAPI_H
-#define _RTEMS_RTEMS_RTEMSAPI_H
-
-#include <rtems/config.h>
-
-/**
- *  @brief Initializes the RTEMS API
- *
- *  This routine initializes the RTEMS API by invoking the initialization
- *  routine for each RTEMS manager with the appropriate parameters
- *  from the configuration_table.
- */
-void _RTEMS_API_Initialize(void);
-
-#endif
-/* end of include file */
Index: cpukit/rtems/preinstall.am
===================================================================
--- cpukit/rtems/preinstall.am	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ cpukit/rtems/preinstall.am	(revision 58089ff3ad3bdeab4c260d00474a8ba6b70294c9)
@@ -136,8 +136,4 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtems/regionimpl.h
 
-$(PROJECT_INCLUDE)/rtems/rtems/rtemsapi.h: include/rtems/rtems/rtemsapi.h $(PROJECT_INCLUDE)/rtems/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/rtems/rtemsapi.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtems/rtemsapi.h
-
 $(PROJECT_INCLUDE)/rtems/rtems/sem.h: include/rtems/rtems/sem.h $(PROJECT_INCLUDE)/rtems/rtems/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/rtems/sem.h
Index: cpukit/rtems/src/taskinitusers.c
===================================================================
--- cpukit/rtems/src/taskinitusers.c	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ cpukit/rtems/src/taskinitusers.c	(revision 58089ff3ad3bdeab4c260d00474a8ba6b70294c9)
@@ -24,5 +24,4 @@
 #include <rtems/rtems/support.h>
 #include <rtems/rtems/modes.h>
-#include <rtems/rtems/rtemsapi.h>
 #include <rtems/score/assert.h>
 #include <rtems/score/stack.h>
Index: cpukit/sapi/Makefile.am
===================================================================
--- cpukit/sapi/Makefile.am	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ cpukit/sapi/Makefile.am	(revision 58089ff3ad3bdeab4c260d00474a8ba6b70294c9)
@@ -32,5 +32,5 @@
     src/ioinitialize.c src/ioopen.c src/ioread.c src/ioregisterdriver.c \
     src/iounregisterdriver.c src/iowrite.c src/posixapi.c  \
-    src/rtemsapi.c src/getversionstring.c \
+    src/getversionstring.c \
     src/chainappendnotify.c src/chaingetnotify.c src/chaingetwait.c \
     src/chainprependnotify.c src/rbheap.c src/interrtext.c \
Index: cpukit/sapi/src/exinit.c
===================================================================
--- cpukit/sapi/src/exinit.c	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ cpukit/sapi/src/exinit.c	(revision 58089ff3ad3bdeab4c260d00474a8ba6b70294c9)
@@ -54,5 +54,4 @@
 
 
-#include <rtems/rtems/rtemsapi.h>
 #include <rtems/posix/posixapi.h>
 
@@ -135,6 +134,4 @@
 
 /* MANAGERS */
-
-  _RTEMS_API_Initialize();
 
   _POSIX_API_Initialize();
Index: ukit/sapi/src/rtemsapi.c
===================================================================
--- cpukit/sapi/src/rtemsapi.c	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/**
- * @file
- *
- * @brief Initializes the RTEMS API
- *
- * @ingroup ClassicRTEMS
- */
-
-/*
- *  COPYRIGHT (c) 1989-2008.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#define RTEMS_API_INIT
-
-#include <rtems/system.h>
-#include <rtems/rtems/status.h>
-#include <rtems/rtems/rtemsapi.h>
-
-#include <rtems/rtems/intr.h>
-#include <rtems/rtems/clock.h>
-
-void _RTEMS_API_Initialize(void)
-{
-}
Index: cpukit/score/include/rtems/score/basedefs.h
===================================================================
--- cpukit/score/include/rtems/score/basedefs.h	(revision 97d94ff3e96c86d2a23b26efe48a9386c16a915a)
+++ cpukit/score/include/rtems/score/basedefs.h	(revision 58089ff3ad3bdeab4c260d00474a8ba6b70294c9)
@@ -94,18 +94,4 @@
   #undef  SAPI_EXTERN
   #define SAPI_EXTERN  extern
-#endif
-
-/**
- *  The following ensures that all data is declared in the space
- *  of the initialization routine for either the Initialization Manager
- *  or the initialization file for the appropriate API.  It is
- *  referenced as "external" in every other file.
- */
-#ifdef RTEMS_API_INIT
-  #undef  RTEMS_EXTERN
-  #define RTEMS_EXTERN
-#else
-  #undef  RTEMS_EXTERN
-  #define RTEMS_EXTERN  extern
 #endif
 