Index: scripts/ChangeLog
===================================================================
--- scripts/ChangeLog	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/ChangeLog	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -1,2 +1,20 @@
+2003-01-31	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* rtemsdoc/Makefile.am: Use $(top_builddir)/common/common.add,
+	$(top_builddir)/common/clean.add, header.add.
+	Generate rtemsdoc.spec.in.
+	* rtemsdoc/mkspec.in: Remove exe_ext.
+	* rtemsdoc/rtemsdoc.spec.in: Remove.
+	* gccnewlib/Makefile.am:  Use $(top_builddir)/common/common.add,
+        $(top_builddir)/common/clean.add, header.add.
+	* gccnewlib/base-gcc.m4: Replace @exe_ext@ with %{_exeext}.
+	* gccnewlib/base-gcj.add: Replace @exe_ext@ with %{_exeext}.
+	* gccnewlib/gccnewlib.add: Replace @exe_ext@ with %{_exeext}.
+	Remove header, broken cdn-X configuration, %clean.
+	* gccnewlib/target-g77.add: Replace @exe_ext@ with %{_exeext}.
+	* gccnewlib/target-gcc.add: Replace @exe_ext@ with %{_exeext}.
+	* gccnewlib/target-gcj.add: Replace @exe_ext@ with %{_exeext}.
+	* gccnewlib/target-objc.add: Replace @exe_ext@ with %{_exeext}.
+
 2003-01-31	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: scripts/gccnewlib/Makefile.am
===================================================================
--- scripts/gccnewlib/Makefile.am	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/Makefile.am	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -6,6 +6,9 @@
 MKGCCNEWLIBSPEC = $(SHELL) $(top_builddir)/mkgccnewlibspec
 
-SUBPACKAGES = gccnewlib.add \
-    base-gcc.add target-gcc.add \
+SUBPACKAGES = header.add
+SUBPACKAGES += ../common/common.add
+SUBPACKAGES += gccnewlib.add
+SUBPACKAGES += ../common/clean.add
+SUBPACKAGES += base-gcc.add target-gcc.add \
     base-chill.add target-chill.add \
     base-g77.add target-g77.add \
@@ -18,5 +21,6 @@
 CLEANFILES = gccnewlib.spec.in
 
-gccnewlib_c_only.spec.in: gccnewlib.add base-gcc.add target-gcc.add
+gccnewlib_c_only.spec.in: header.add ../common/common.add \
+   gccnewlib.add ../common/clean.add base-gcc.add target-gcc.add
 	cat $^ \
 	| sed -e "s%@GCCLANGS@%\'--enable-languages=c,c++\'%g" > $@
Index: scripts/gccnewlib/base-gcc.add
===================================================================
--- scripts/gccnewlib/base-gcc.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/base-gcc.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -21,5 +21,5 @@
 
 %dir %{_prefix}/bin
-%{_prefix}/bin/gcov@exe_ext@
+%{_prefix}/bin/gcov%{_exeext}
 
 %dir %{_prefix}/man
Index: scripts/gccnewlib/base-gcj.add
===================================================================
--- scripts/gccnewlib/base-gcj.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/base-gcj.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -15,6 +15,6 @@
 %files -n rtems-base-gcj
 %dir %{_prefix}/bin
-%{_prefix}/bin/jcf-dump@exe_ext@
-%{_prefix}/bin/jv-scan@exe_ext@
-%{_prefix}/bin/gcjh@exe_ext@
+%{_prefix}/bin/jcf-dump%{_exeext}
+%{_prefix}/bin/jv-scan%{_exeext}
+%{_prefix}/bin/gcjh%{_exeext}
 
Index: scripts/gccnewlib/gccnewlib.add
===================================================================
--- scripts/gccnewlib/gccnewlib.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/gccnewlib.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -1,14 +1,2 @@
-#
-# spec file for building gcc for rtems
-# 
-# Copyright  (c) 1999,2000,2001 OARCorp, Huntsville, AL
-#
-# please send bugfixes or comments to joel@OARcorp.com
-#
-
-%define	_prefix	@prefix@
-
-Vendor:       OAR Corporation
-Distribution: Linux
 Name:         @target_alias@-gcc-newlib
 Summary:      gcc and newlib C Library for @target_alias@.
@@ -73,10 +61,6 @@
   cd build
 
-# HACK: This should be %{target} != %{build}, but SuSE's rpm screws it.
-%if "%{target_os}" != "%{build_os}"
-  CONFIGURE_ARGS="--build=%{_build} --host=%{_target}"
-%endif
-
-  ../gcc-@gcc_version@/configure $CONFIGURE_ARGS --target=@target_alias@ \
+  ../gcc-@gcc_version@/configure \
+    --target=@target_alias@ \
     --with-gnu-as --with-gnu-ld --with-newlib --verbose \
     --enable-threads --prefix=%{_prefix} @GCCLANGS@
@@ -101,8 +85,8 @@
   # Bug in gcc-2.95.x: It bogusly tries to share cpp for all targets.
   # Rename it to target_alias-cpp
-  if test -f $RPM_BUILD_ROOT%{_prefix}/bin/cpp@exe_ext@;
+  if test -f $RPM_BUILD_ROOT%{_prefix}/bin/cpp%{_exeext};
   then
-    mv $RPM_BUILD_ROOT%{_prefix}/bin/cpp@exe_ext@ \
-      $RPM_BUILD_ROOT%{_prefix}/bin/@target_alias@-cpp@exe_ext@
+    mv $RPM_BUILD_ROOT%{_prefix}/bin/cpp%{_exeext} \
+      $RPM_BUILD_ROOT%{_prefix}/bin/@target_alias@-cpp%{_exeext}
   fi
 
@@ -150,7 +134,2 @@
   done
 
-%clean
-# let rpm --clean remove BuildRoot iif using the default BuildRoot
-  test "$RPM_BUILD_ROOT" = "%{_tmppath}/%{name}" && \
-    rm -rf $RPM_BUILD_ROOT
-
Index: scripts/gccnewlib/target-g77.add
===================================================================
--- scripts/gccnewlib/target-g77.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/target-g77.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -15,5 +15,5 @@
 %files -n @target_alias@-g77 -f build/files.g77
 %dir %{_prefix}/bin
-%{_prefix}/bin/@target_alias@-g77@exe_ext@
+%{_prefix}/bin/@target_alias@-g77%{_exeext}
 
-%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/f771@exe_ext@
+%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/f771%{_exeext}
Index: scripts/gccnewlib/target-gcc.add
===================================================================
--- scripts/gccnewlib/target-gcc.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/target-gcc.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -17,10 +17,10 @@
 %doc %{_prefix}/man/man1/@target_alias@-g++.1
 
-%{_prefix}/bin/@target_alias@-cpp@exe_ext@
-%{_prefix}/bin/@target_alias@-c++@exe_ext@
-%{_prefix}/bin/@target_alias@-g++@exe_ext@
-%{_prefix}/bin/@target_alias@-gcc@exe_ext@
-%{_prefix}/bin/@target_alias@-protoize@exe_ext@
-%{_prefix}/bin/@target_alias@-unprotoize@exe_ext@
+%{_prefix}/bin/@target_alias@-cpp%{_exeext}
+%{_prefix}/bin/@target_alias@-c++%{_exeext}
+%{_prefix}/bin/@target_alias@-g++%{_exeext}
+%{_prefix}/bin/@target_alias@-gcc%{_exeext}
+%{_prefix}/bin/@target_alias@-protoize%{_exeext}
+%{_prefix}/bin/@target_alias@-unprotoize%{_exeext}
 
 %dir %{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/include
Index: scripts/gccnewlib/target-gcj.add
===================================================================
--- scripts/gccnewlib/target-gcj.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/target-gcj.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -15,7 +15,7 @@
 %files -n @target_alias@-gcj -f build/files.gcj
 %dir %{_prefix}/bin
-%{_prefix}/bin/@target_alias@-gcj@exe_ext@
+%{_prefix}/bin/@target_alias@-gcj%{_exeext}
 
-%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/jc1@exe_ext@
-%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/jvgenmain@exe_ext@
+%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/jc1%{_exeext}
+%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/jvgenmain%{_exeext}
 
Index: scripts/gccnewlib/target-objc.add
===================================================================
--- scripts/gccnewlib/target-objc.add	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/gccnewlib/target-objc.add	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -14,4 +14,4 @@
 
 %files -n @target_alias@-objc -f build/files.objc
-%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/cc1obj@exe_ext@
+%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/cc1obj%{_exeext}
 %{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/include/objc
Index: scripts/rtemsdoc/Makefile.am
===================================================================
--- scripts/rtemsdoc/Makefile.am	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/rtemsdoc/Makefile.am	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -31,5 +31,9 @@
 DOCS += started started_ada
 
-SUBPACKAGES = $(DOCS:%=%-docs.add)
+SUBPACKAGES = header.add
+SUBPACKAGES += ../common/common.add
+SUBPACKAGES += rtemsdoc.add
+SUBPACKAGES += ../common/clean.add
+SUBPACKAGES += $(DOCS:%=%-docs.add)
 CLEANFILES  += $(DOCS:%=%-docs.add)
 SUBPACKAGES += $(SUPPLEMENTS:%=%-supplement.add)
@@ -46,7 +50,11 @@
 	sed -e s/@target\@/$$t/g < $< >$@ 
 
+rtemsdoc.spec.in: $(SUBPACKAGES)
+	cat $^ > $@
+CLEANFILES += rtemsdoc.spec.in
+
 rtemsdoc.spec: $(MKSPEC_DEPS) $(SUBPACKAGES)
-	$(MKSPEC) -cfg $(top_builddir)/setup.cache -o . > $@
-	cat $(SUBPACKAGES) >> $@
+	$(MKSPEC) -cfg $(top_builddir)/setup.cache > $@
+CLEANFILES += rtemsdoc.spec
 
 RPM_SPECS_DATA = rtemsdoc.spec
Index: scripts/rtemsdoc/mkspec.in
===================================================================
--- scripts/rtemsdoc/mkspec.in	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ scripts/rtemsdoc/mkspec.in	(revision 59292fe9afa08d5b150e238ed45b3a5e2f88dbcc)
@@ -5,5 +5,4 @@
 
 CFG=../setup.cache
-exe_ext=@EXEEXT@
 
 usage()
@@ -50,4 +49,3 @@
     -e "s%@rtems_rpm_version\@%${rtems_rpm_version}%g" \
     -e "s,@rpm_build_root\@,${rpm_build_root},g" \
-    -e "s%@exe_ext\@%${exe_ext}%g" \
 < ${specsrc}
Index: ripts/rtemsdoc/rtemsdoc.spec.in
===================================================================
--- scripts/rtemsdoc/rtemsdoc.spec.in	(revision 9c8ee7b2bdb94d4a5288203a448f685c700d50f0)
+++ 	(revision )
@@ -1,100 +1,0 @@
-#
-# spec file for package rtemsdoc
-# 
-# Copyright  (c)  2003 Ralf Corsepius, Ulm, Germany
-#
-# please send bugfixes or comments to @PACKAGE_BUGREPORT@
-#
-
-%define _prefix	/opt/rtems
-%define _datadir %{_prefix}/share
-%define _infodir %{_datadir}/info
-
-%define srcvers	@rtems_version@
-%define rpmvers  %{expand:%%(echo @rtems_version@ | tr - _ )}
-
-
-Vendor:       OAR Corporation
-Distribution: Linux
-Name:         rtemsdoc
-Release:      @rtems_rpm_release@
-License:      Distributable
-Group:        rtems
-
-Autoreqprov:  on
-Packager:     	corsepiu@faw.uni-ulm.de and joel@OARcorp.com
-BuildPreReq:    texinfo >= 4.2
-BuildPreReq:    tetex
-BuildPreReq:    perl
-BuildPreReq:    gcc
-
-Version:      %{rpmvers}
-Summary:      A free operating system for embedded systems
-Source:       rtems-%{srcvers}.tar.bz2
-
-#
-# The original sources are not included in the source RPM.
-# If we included them, then the source RPMs for each target
-# would duplicate MBs of source unnecessarily.  This is 
-# a duplication of over 30 MBs of source for each of
-# the more than 10 targets it is possible to build.
-#
-# You can get them yourself from the Internet and copy them to
-# your /usr/src/redhat/SOURCES directory ($RPM_SOURCE_DIR).
-# Or you can try the ftp options of rpm :-)
-#
-NoSource:      0
-Prefix:		%{_prefix}
-Prefix:		%{_infodir}
-Prefix:		%{_datadir}
-BuildRoot:    	%{_tmppath}/%{name}-%{version}-root
-BuildArch:	noarch
-
-%description
-RTEMS is a free operating system for embedded systems.
-
-This package contains the documentation
-
-%prep
-%setup -c -T -n %{name}-%{version} -b0
-test -d build || mkdir build
-%build
-cd build
-# rtems does not support building inside the source tree
-  export PATH=%{_prefix}/bin:$PATH
-  ../rtems-%{srcvers}/doc/configure \
-  --prefix=%{_prefix} \
-  --infodir=%{_infodir} \
-  --datadir=%{_datadir} \
-  --enable-docs
-  make RTEMS_BSP=
-%install
-  rm -rf ${RPM_BUILD_ROOT}
-cd build
-  make RTEMS_BSP= DESTDIR=${RPM_BUILD_ROOT} install
-  rm -f ${RPM_BUILD_ROOT}/%{_infodir}/template*
-  rm -f ${RPM_BUILD_ROOT}/%{_datadir}/rtems/*/template*
-  rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/rtems/html/supplements/template*
-
-  gzip -9qf ${RPM_BUILD_ROOT}/%{_infodir}/*
-  bzip2 -9qf ${RPM_BUILD_ROOT}/%{_datadir}/rtems/ps/*
-
-## base
-
-%package base
-Summary: Documentation for RTEMS ada support
-Group: rtems/documentation
-
-%description base
-RTEMS is a free operating system for embedded systems.
-
-This package contains the files shared between different documentation
-packages.
-
-%files base
-%dir %{_infodir}
-%dir %{_datadir}/rtems
-%dir %{_datadir}/rtems/html
-%{_datadir}/rtems/html/images
-%{_datadir}/rtems/html/*.html
-